import service from "./index";
const apiMediate = '/mediate/api/'

const caseManagementApi = {
    
    //========================start::案件包管理======================================
    // 案件包查询接口
    getCasePkgQuery: data => {
        return service.service.post(`${apiMediate}case_pkg/query`, data)
    },
    // 案件包删除接口
    CasePkgdeleteById: data => {
        return service.service.post(`${apiMediate}case_pkg/deleteById`, data)
    },
    // 案件包导入创建
    CasePkgimport: data => {
        return service.service.post(`${apiMediate}case_pkg/import`, data)
    },
    // 分案撤回
    postpkgquash: data => {
        return service.service.post(`${apiMediate}case_pkg/quash`, data)
    },
    // 案件包手动分案
    postpkgdispatchCase: data => {
        return service.service.post(`${apiMediate}case_pkg/dispatchCase`, data)
    },
    // 金融机构
    postorgs: data => {
        return service.service.post(`${apiMediate}case_pkg/orgs`, data)
    },

    // 调解人员的案件包
    postquery_by_case: data => {
        return service.service.post(`${apiMediate}case_pkg/query-by-case`, data)
    },


    // 错误的案件记录标头
    postcase_pkg_error_headers: data => {
        return service.service.post(`${apiMediate}case_pkg/imports/error/headers`, data)
    },
    // 错误的案件记录
    postcase_pkg_error_page: data => {
        return service.service.post(`${apiMediate}case_pkg/imports/error/page`, data)
    },
    // 错误的案件记录导出excel
    postcase_pkg_error_down: data => {
        return service.service.post(`${apiMediate}case_pkg/imports/error/down`, data)
    },
    // 清理案件包导入错误数据
    postcase_pkg_error_clean: data => {
        return service.service.post(`${apiMediate}case_pkg/imports/error/clean`, data)
    },

    

    
    //========================end::案件包管理======================================
}
export default caseManagementApi;